Package twisted :: Package names :: Module secondary :: Class SecondaryAuthority

[frames | no frames]

## Class SecondaryAuthority

    ResolverBase --+
                   |
                  SecondaryAuthority

An Authority that keeps itself updated by performing zone transfers

Method Summary
| `__init__(self, primaryIP, domain)`
| `_cbTransferred(self, result)`
| `_cbZone(self, zone)`
| `_ebTransferred(self, failure)`
| `_ebZone(self, failure)`
| `_lookup(self, name, cls, type, timeout)`
| `transfer(self)`
| `update(self)`
Inherited from ResolverBase
| ``_cbRecords`(self, (ans, auth, add), name, effort)`
| ``getHostByName`(self, name, timeout, effort)`
| ``lookupAddress`(self, name, timeout)`
| ``lookupAddress6`(self, name, timeout)`
| ``lookupAFSDatabase`(self, name, timeout)`
| ``lookupAllRecords`(self, name, timeout)`
| ``lookupAuthority`(self, name, timeout)`
| ``lookupCanonicalName`(self, name, timeout)`
| ``lookupHostInfo`(self, name, timeout)`
| ``lookupIPV6Address`(self, name, timeout)`
| ``lookupMailBox`(self, name, timeout)`
| ``lookupMailboxInfo`(self, name, timeout)`
| ``lookupMailExchange`(self, name, timeout)`
| ``lookupMailGroup`(self, name, timeout)`
| ``lookupMailRename`(self, name, timeout)`
| ``lookupNameservers`(self, name, timeout)`
| ``lookupNull`(self, name, timeout)`
| ``lookupPointer`(self, name, timeout)`
| ``lookupResponsibility`(self, name, timeout)`
| ``lookupService`(self, name, timeout)`
| ``lookupText`(self, name, timeout)`
| ``lookupWellKnownServices`(self, name, timeout)`
| ``lookupZone`(self, name, timeout)`
| ``query`(self, query, timeout)`

Class Variable Summary
`class` | `FileAuthority` = `twisted.names.authority.FileAuthority`
`int` | `transferring` = 0
Inherited from ResolverBase
`NoneType` | `typeToMethod` = None

Class Variable Details

### transferring

  Type:
    `int`
  Value:

        0

Generated by Epydoc 2.0 on Wed Feb 25 07:37:33 2004 | http://epydoc.sf.net